Macaulay2 » Documentation
Packages » NCAlgebra :: freeProduct
next | previous | forward | backward | up | index | toc

# freeProduct -- Define the free product of two algebras

- Usage:
    `C = freeProduct(A,B)`
- Inputs:
  - A, an instance of the type NCRing,
  - B, an instance of the type NCRing,
- Outputs:
  - C, an instance of the type NCRing,

## Description

This function returns the free product of the algebras A and B.

    i1 : A = QQ{x,y,z}

    o1 = A

    o1 : NCPolynomialRing

    i2 : B = skewPolynomialRing(QQ,(-1)_QQ, {a,b,c})
    --Calling Bergman for NCGB calculation.
    Complete!

    o2 = B

    o2 : NCQuotientRing

    i3 : C = freeProduct(A,B)
    --Calling Bergman for NCGB calculation.
    Complete!

    o3 = C

    o3 : NCQuotientRing

## Ways to use freeProduct:

- `freeProduct(NCRing,NCRing)`

## For the programmer

The object freeProduct is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:4214:0.